Loading...
Searching...
No Matches
byte.h File Reference
`#include "platform.h"`
`#include "type_traits.h"`

Go to the source code of this file.

## Classes

class | etl::byte
| The byte class. More...

## Namespaces

namespace | etl

## Functions

bool | etl::operator== (etl::byte lhs, etl::byte rhs)
| Equality test.
bool | etl::operator!= (etl::byte lhs, etl::byte rhs)
| Inequality test.
template<typename TInteger>
etl::enable_if< etl::is_integral< TInteger >::value, TInteger >::type | etl::to_integer (etl::byte b)
| To integer.
template<typename TInteger>
etl::enable_if< etl::is_integral< TInteger >::value, etl::byte >::type | etl::operator<< (etl::byte b, TInteger shift)
| Shift left.
template<typename TInteger>
etl::enable_if< etl::is_integral< TInteger >::value, etl::byte >::type | etl::operator>> (etl::byte b, TInteger shift)
| Shift right.
template<typename TInteger>
etl::enable_if< etl::is_integral< TInteger >::value, etl::byte & >::type | etl::operator<<= (etl::byte &b, TInteger shift)
| Shift left equals.
template<typename TInteger>
etl::enable_if< etl::is_integral< TInteger >::value, etl::byte & >::type | etl::operator>>= (etl::byte &b, TInteger shift)
| Shift right equals.
etl::byte | etl::operator| (etl::byte lhs, etl::byte rhs)
| Or.
etl::byte | etl::operator& (etl::byte lhs, etl::byte rhs)
| And.
etl::byte | etl::operator^ (etl::byte lhs, etl::byte rhs)
| Exclusive Or.
etl::byte & | etl::operator|= (etl::byte &lhs, etl::byte rhs)
| Or equals.
etl::byte & | etl::operator&= (etl::byte &lhs, etl::byte rhs)
| And equals.
etl::byte & | etl::operator^= (etl::byte &lhs, etl::byte rhs)
| Exclusive or equals.
etl::byte | etl::operator~ (etl::byte b)
| Not.